Fixes duplicate symbol error linking on 10.6

Fixes compilation targeting 10.4 and 10.5

--- gdb/macosx/macosx-tdep.c.orig
+++ gdb/macosx/macosx-tdep.c
@@ -160,7 +160,7 @@
 #define BFD_GETL32(addr) ((((((uint32_t) addr[3] << 8) | addr[2]) << 8) | addr[1]) << 8 | addr[0])
 #define BFD_GETL64(addr) ((((((((((uint64_t) addr[7] << 8) | addr[6]) << 8) | addr[5]) << 8 | addr[4]) << 8 | addr[3]) << 8 | addr[2]) << 8 | addr[1]) << 8 | addr[0])
 
-unsigned char macosx_symbol_types[256];
+static unsigned char macosx_symbol_types[256];
 
 static unsigned char
 macosx_symbol_type_base (macho_type)
@@ -1558,7 +1558,11 @@
   if (plist_data == NULL)
     return NULL;
 
+#if MAC_OS_X_VERSION_MIN_REQUIRED < 1060
+  CFPropertyListRef plist = CFPropertyListCreateFromXMLData (kCFAllocatorDefault, plist_data, kCFPropertyListImmutable, NULL);
+#else
   CFPropertyListRef plist = CFPropertyListCreateWithData (kCFAllocatorDefault, plist_data, kCFPropertyListImmutable, NULL, NULL);
+#endif
 
   if (plist == NULL || CFGetTypeID (plist) != CFDictionaryGetTypeID())
     {
